Skip to main content
GET
/
api
/
v2
/
follow-ups
List follow-ups
curl --request GET \
  --url https://rcur.app/api/v2/follow-ups \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "fu_abc123",
      "description": "Failed payment for subscription",
      "type": "retry",
      "status": "pending",
      "amount": "29.99",
      "currency": "EUR",
      "created_at": "2025-01-15 10:30:00",
      "mollie_profile_id": "pfl_abc123",
      "mollie_payment_id": "tr_abc123",
      "reason": "Insufficient funds",
      "reason_code": "AM04",
      "retries_done": 2,
      "mails_sent": 1,
      "next_retry_at": "2025-02-01",
      "customer": {},
      "subscription": {},
      "order": {}
    }
  ],
  "links": {
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>"
  },
  "meta": {
    "current_page": 1,
    "last_page": 1,
    "per_page": 15,
    "total": 3
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer
default:1

Page number for pagination

Response

200 - application/json

List of follow-ups

data
object[]
meta
object